
Redmine - Defect #4694

Stop CGI from being the default apache rails serving mechanism

2010-01-30 22:33 - Kamil .

Status: Closed Start date: 2010-01-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

After upgrading from 0.8.5 to 0.9.1 I have obtained:

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your reque

st.

Please contact the server administrator, [no address given] and inform them of the time the error 

occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log

 It turned out that the reason was line 11 in the REDMINE_DIR/public/.htaccess file:

Options +FollowSymLinks +ExecCGI

 Commenting it solved the problem

regards

Related issues:

Related to Redmine - Defect #7256: redmine/public/.htaccess must be moved for... Closed 2011-01-10

History

#1 - 2010-07-10 23:45 - Felix Schäfer

- Subject changed from Internal server error after upgrade to 0.9.1 to Stop CGI from being the default apache rails serving mechanism

- Assignee set to Felix Schäfer

#2 - 2011-01-15 09:48 - Felix Schäfer

- Assignee deleted (Felix Schäfer)

#3 - 2015-04-05 09:54 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

'.htaccess' was renamed to 'htaccess.fcgi.example' by #7256 (Redmine 1.1.1) so Apache does not read it by default.

We can close this issue.

#4 - 2015-04-05 09:55 - Go MAEDA

- Related to Defect #7256: redmine/public/.htaccess must be moved for non-fastcgi installs/upgrades added
